Package net.shibboleth.idp.cas.flow.impl

# Class BuildSAMLMetadataContextAction<RequestType,ResponseType>

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.profile.action.AbstractProfileAction
org.opensaml.profile.action.AbstractConditionalProfileAction
net.shibboleth.idp.profile.AbstractProfileAction
net.shibboleth.idp.cas.flow.impl.AbstractCASProtocolAction<RequestType,ResponseType>
net.shibboleth.idp.cas.flow.impl.BuildSAMLMetadataContextAction<RequestType,ResponseType>

Type Parameters:
  `RequestType` - request
  `ResponseType` - response

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `ProfileAction`, `Aware`, `MessageSource`, `MessageSourceAware`, `Action`

public class BuildSAMLMetadataContextAction<RequestType,ResponseType> extends AbstractCASProtocolAction<RequestType,ResponseType>
Builds a `SAMLMetadataContext` child of `RelyingPartyContext` to facilitate relying party selection by group name. Possible outcomes:

- `null` on success
- `IllegalState`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`relyingPartyIdFromMetadata`
Whether to overwrite the relying party ID based on metadata.
`private RelyingPartyContext`
`rpCtx`
RelyingPartyContext.
`private Service`
`service`
CAS service.

## Constructor Summary

Constructors
Constructor
Description
`BuildSAMLMetadataContextAction()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doExecute(ProfileRequestContext profileRequestContext)`
`protected boolean`
`doPreExecute(ProfileRequestContext profileRequestContext)`
`Service`
`getService()`
Null safe getter.
`void`
`setRelyingPartyIdFromMetadata(boolean flag)`
Sets whether the `RelyingPartyContext.getRelyingPartyId()` method should return an entityID established from SAML metadata instead of the service URL.

### Methods inherited from class net.shibboleth.idp.cas.flow.impl.AbstractCASProtocolAction

`getCASRequest, getCASResponse, getCASService, getCASTicket, getProtocolContext, setCASRequest, setCASResponse, setCASService, setCASTicket`

### Methods inherited from class net.shibboleth.idp.profile.AbstractProfileAction

`doExecute, execute, getBean, getBean, getMessage, getMessage, getMessage, getParameter, getParameter, getProfileContextLookupStrategy, getRequestContext, getResult, setMessageSource, setProfileContextLookupStrategy`

### Methods inherited from class org.opensaml.profile.action.AbstractConditionalProfileAction

`getActivationCondition, setActivationCondition`

### Methods inherited from class org.opensaml.profile.action.AbstractProfileAction

`doPostExecute, doPostExecute, ensureHttpServletRequest, ensureHttpServletResponse, execute, getHttpServletRequest, getHttpServletRequestSupplier, getHttpServletResponse, getHttpServletResponseSupplier, getLogPrefix, isPreExecuteCalled, setHttpServletRequestSupplier, setHttpServletResponseSupplier`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### relyingPartyIdFromMetadata

private boolean relyingPartyIdFromMetadata
Whether to overwrite the relying party ID based on metadata.

### service

@NonnullBeforeExec private Service service
CAS service.

### rpCtx

@NonnullBeforeExec private RelyingPartyContext rpCtx
RelyingPartyContext.

## Constructor Details

### BuildSAMLMetadataContextAction

public BuildSAMLMetadataContextAction()

## Method Details

### setRelyingPartyIdFromMetadata

public void setRelyingPartyIdFromMetadata(boolean flag)
Sets whether the `RelyingPartyContext.getRelyingPartyId()` method should return an entityID established from SAML metadata instead of the service URL.

Defaults to false for compatibility.

Parameters:
  `flag` - flag to set

### getService

@Nonnull public Service getService()
Null safe getter.

Returns:
  Returns the service.

### doPreExecute

protected boolean doPreExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doPreExecute` in class `AbstractConditionalProfileAction`

### doExecute

protected void doExecute(@Nonnull ProfileRequestContext profileRequestContext)

Overrides:
  `doExecute` in class `AbstractProfileAction`